use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Form {
    pub id: Option<String>,
    pub name: String,
    pub fields: serde_json::Value, // JSON array of form fields
}

#[derive(Serialize, Deserialize)]
pub struct Submission {
    pub id: String,
    pub form_id: String,
    pub data: serde_json::Value, // JSON of submission data
}

#[derive(Debug, Serialize, Deserialize)]
pub struct AdminUser {
    pub username: String,
    pub password_hash: String,
}

#[derive(Debug, Serialize, Deserialize)]
pub struct LoginCredentials {
    pub username: String,
    pub password: String,
}

#[derive(Debug, Serialize, Deserialize)]
pub struct Claims {
    pub sub: String,
    pub(crate) exp: usize,
}
